namespace Netina.Domain.Entities.Users;

[AdaptTwoWays("[name]LDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget)]
[AdaptTo("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Projection)]
[GenerateMapper]
public partial class NewsletterMember : ApiEntity
{
    public NewsletterMember()
    {
        
    }
    public NewsletterMember(string phoneNumber, string email)
    {
        PhoneNumber = phoneNumber;
        Email = email;
    }
    public string PhoneNumber { get; internal set; } = string.Empty;
    public string Email { get; internal set; } = string.Empty;

}